<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>Document</title>

   <link rel="stylesheet" href="css/estilos.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    
    <script src="js/jquery-3.3.1.min.js"></script>
</head>
<body>
    <div class="container-fluid">
        <div class="row">
            <div class="col col-md-4 caja col-center">
                <h3>Datos del Perfil</h3>
                <br>

                <form action="" method="" role="form">
                    <legend>aaaaaaaaaaaaa</legend>

                    <div class="form-group">
                        <div >
       <h4 id="nombre"></h4>
       <h4 id="usuario"></h4>
       <h4 id="email"></h4>
       <h4 id="direccion"></h4>
        <h4 id="telefono"></h4>
        <h4 id="sitioWeb"></h4>
        <h4 id="compania"></h4>
    </div>
                    </div>
                    <button id="boton" type="button" class="btn btn-primary">obtener datos</button>
    
                </form>
                
            </div>
        </div>
    </div>
    
    
    
    
    
    

   
   
   
   
  
    
    <script>
        /*
{
  "id": 1,
  "name": "Leanne Graham",
  "username": "Bret",
  "email": "Sincere@april.biz",
  "address": {
    "street": "Kulas Light",
    "suite": "Apt. 556",
    "city": "Gwenborough",
    "zipcode": "92998-3874",
    "geo": {
      "lat": "-37.3159",
      "lng": "81.1496"
    }
  },
  "phone": "1-770-736-8031 x56442",
  "website": "hildegard.org",
  "company": {
    "name": "Romaguera-Crona",
    "catchPhrase": "Multi-layered client-server neural-net",
    "bs": "harness real-time e-markets"
  }
}*/
        
        
        
        
    $(document).ready(function(){
        $('#boton').on('click',function(){
            $.get('https://jsonplaceholder.typicode.com/users/1',function(valor){
                $('#nombre').html(valor.name);
                $('#usuario').html(valor.username);
                $('#email').html(valor.email);
                $('#direccion').html(valor.address.street +' ' +valor.address.suite +' ' +valor.address.city);
                $('#telefono').html(valor.phone);
                $('#sitioWeb').html(valor.website);
                $('#compania').html(valor.company.name);
            })
        })
        
    })
    
    
    </script>
 
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    
</body>
</html>